#include "graphicalcontainernode.h"

GraphicalContainerNode::GraphicalContainerNode()
{

}

void GraphicalContainerNode::addChild(GraphicalNode *node)
{
    if(node != nullptr)
    {
        node->setSceneTree(m_scene);
        m_children.push_back(node);
        node->m_parent = this;
    }
}

void GraphicalContainerNode::removeChild(GraphicalNode *node)
{
    if(node != nullptr)
    {
        for(auto it = m_children.begin(); it != m_children.end(); ++it)
        {
            if(*it == node)
            {
                m_children.erase(it);
            }
        }
    }

}
