#include "cameranode.h"

CameraNode::CameraNode(Input *input) :
    m_input(input),
    m_action_move(NO_ACTION),
    m_action_rotate(NO_ACTION)
{}

void CameraNode::update()
{
    sf::Vector2i diff = m_input->getDeltaPosition();
    for(int action : m_input->getActions())
    {
        if(action == m_action_move)
            moveCamera(diff.x, diff.y);
        else if(action == m_action_move)
            rotateCamera(diff.x, diff.y);
    }
    zoom(m_input->getDeltaVerticalScroll());
}
